Page MenuHomePhabricator

[BPF] generate R_BPF_NONE relocation for BTF DataSec variables
ClosedPublic

Authored by yonghong-song on May 25 2019, 10:45 PM.

Details

Summary

The variables in BTF DataSec type encode in-section offset.
R_BPF_NONE should be generated instead of R_BPF_64_32.

Diff Detail

Repository
rL LLVM

Event Timeline

yonghong-song created this revision.May 25 2019, 10:45 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 25 2019, 10:45 PM
ast accepted this revision.May 26 2019, 7:53 AM
This revision is now accepted and ready to land.May 26 2019, 7:53 AM
This revision was automatically updated to reflect the committed changes.
ormris removed a subscriber: ormris.May 28 2019, 9:19 AM